From 88b9e210fdcd983aaeb6d8caed839e265a1159ea Mon Sep 17 00:00:00 2001
From: Petr "Stone" Hracek <phracek@redhat.com>
Date: Jul 13 2017 15:06:09 +0000
Subject: [PATCH 2/2] Several fixes caused by missing testing.


Signed-off-by: Petr "Stone" Hracek <phracek@redhat.com>

---

diff --git a/examples/testing-module/microdnfinside.py b/examples/testing-module/microdnfinside.py
index 6a7a328..367cdba 100644
--- a/examples/testing-module/microdnfinside.py
+++ b/examples/testing-module/microdnfinside.py
@@ -22,7 +22,6 @@
 #
 
 from moduleframework import module_framework
-import os
 
 
 class microDNFTest(module_framework.AvocadoTest):
diff --git a/examples/testing-module/skipTest.py b/examples/testing-module/skipTest.py
index 5c91ca8..6492923 100644
--- a/examples/testing-module/skipTest.py
+++ b/examples/testing-module/skipTest.py
@@ -21,6 +21,7 @@
 # Authors: Jan Scotka <jscotka@redhat.com>
 #
 
+from moduleframework import common
 from moduleframework import module_framework
 from avocado import skipIf
 from avocado import skipUnless
@@ -39,12 +40,12 @@ class SkipTest(module_framework.AvocadoTest):
         self.start()
         self.run("gcc -v")
 
-    @skipIf(module_framework.get_correct_profile() == "default")
+    @skipIf(common.get_profile() == "default")
     def testDecoratorNotSkippedForDefault(self):
         self.start()
         self.run("echo for default profile")
 
-    @skipUnless(module_framework.get_correct_profile() == "gcc")
+    @skipUnless(common.get_profile() == "gcc")
     def testDecoratorSkip(self):
         self.start()
         self.run("gcc -v")
diff --git a/moduleframework/bashhelper.py b/moduleframework/bashhelper.py
index c2f96e7..43f4171 100755
--- a/moduleframework/bashhelper.py
+++ b/moduleframework/bashhelper.py
@@ -45,7 +45,7 @@
 import os
 import pickle
 import inspect
-import module_framework
+from moduleframework import module_framework
 from optparse import OptionParser
 
 
diff --git a/moduleframework/common.py b/moduleframework/common.py
index 804439b..4725eac 100644
--- a/moduleframework/common.py
+++ b/moduleframework/common.py
@@ -29,11 +29,12 @@ import netifaces
 import socket
 import os
 import urllib
+import yaml
 
 from avocado.utils import process
 
 from moduleframework.exceptions import *
-from moduleframework.module_framework import get_profile
+from moduleframework.compose_info import ComposeParser
 
 defroutedev = netifaces.gateways().get('default').values(
 )[0][1] if netifaces.gateways().get('default') else "lo"
@@ -178,6 +179,7 @@ def sanitize_text(text, replacement="_"):
             text = text.replace(char, replacement)
     return text
 
+
 def sanitize_cmd(cmd):
     """
     Do escaping of characters for command inside apostrophes
@@ -192,6 +194,95 @@ def sanitize_cmd(cmd):
     return cmd
 
 
+def get_profile():
+    """
+    Return profile name string
+
+    :return: str
+    """
+    amodule = os.environ.get('PROFILE')
+    if not amodule:
+        amodule = "default"
+    return amodule
+
+
+def get_url():
+    """
+    Return actual URL if overwritten by
+    env variable "URL"
+
+    It redefines location of testing subject
+
+    :return:
+    """
+    amodule = os.environ.get('URL')
+    return amodule
+
+
+def get_config():
+    """
+    Read the module's configuration file
+
+    :default: ``./config.yaml`` in the ``tests`` directory of the module's root directory
+    :envvar: **CONFIG=path/to/file** overrides default value.
+    :return: str
+    """
+    cfgfile = os.environ.get('CONFIG') or './config.yaml'
+    try:
+       with open(cfgfile, 'r') as ymlfile:
+           xcfg = yaml.load(ymlfile.read())
+           return xcfg
+    except IOError:
+       raise ConfigExc(
+           "Error: File '%s' doesn't appear to exist or it's not a YAML file." %
+            cfgfile + " " +
+           "Tip: If the CONFIG envvar is not set, mtf-generator looks for './config'.")
+
+
+def get_compose_url():
+    """
+    Return Compose Url if set in config or via
+    env variable COMPOSEURL
+
+    :return: str
+    """
+    compose = os.environ.get('COMPOSEURL')
+    readconfig = CommonFunctions()
+    readconfig.loadconfig()
+    if compose is None:
+        if readconfig.config.get("compose-url"):
+            compose = readconfig.config.get("compose-url")
+        elif readconfig.config['module']['rpm'].get("repo"):
+            compose = readconfig.config['module']['rpm'].get("repo")
+        else:
+            compose = readconfig.config['module']['rpm'].get("repos")[0]
+    return compose
+
+
+def get_modulemd():
+    """
+    Return dict of moduleMD file for module, It is read from config, from module-url section,
+    if not defined it reads modulemd file from compose-url in case of set, or there is used
+    env variable MODULEMDURL (eventually COMPOSEURL) for that
+
+    :return: dict
+    """
+    mdf = os.environ.get('MODULEMDURL')
+    readconfig = CommonFunctions()
+    readconfig.loadconfig()
+    try:
+        if mdf:
+            return mdf
+        elif readconfig.config.get("modulemd-url"):
+            return readconfig.config.get("modulemd-url")
+        else:
+            a = ComposeParser(get_compose_url())
+            b = a.variableListForModule(readconfig.config.get("name"))
+            return [x[12:] for x in b if 'MODULEMDURL=' in x][0]
+    except AttributeError:
+        return None
+
+
 class CommonFunctions(object):
     """
     Basic class doing configuration reading and allow do commands on host machine
diff --git a/moduleframework/helpers/container_helper.py b/moduleframework/helpers/container_helper.py
index c3e74fc..602123b 100644
--- a/moduleframework/helpers/container_helper.py
+++ b/moduleframework/helpers/container_helper.py
@@ -26,7 +26,6 @@ import json
 
 from avocado.utils import service
 
-from moduleframework.module_framework import get_url
 from moduleframework.common import *
 
 
diff --git a/moduleframework/helpers/nspawn_helper.py b/moduleframework/helpers/nspawn_helper.py
index ed47442..37151aa 100644
--- a/moduleframework/helpers/nspawn_helper.py
+++ b/moduleframework/helpers/nspawn_helper.py
@@ -26,9 +26,7 @@ import re
 import glob
 import time
 
-from avocado.utils import process
-
-from timeoutlib import Retry
+from moduleframework.timeoutlib import Retry
 from moduleframework.common import *
 from moduleframework.exceptions import *
 from moduleframework.module_framework import get_if_do_cleanup
diff --git a/moduleframework/helpers/rpm_helper.py b/moduleframework/helpers/rpm_helper.py
index 8d59ac1..a178eb9 100644
--- a/moduleframework/helpers/rpm_helper.py
+++ b/moduleframework/helpers/rpm_helper.py
@@ -21,9 +21,7 @@
 # Authors: Petr Hracek <phracek@redhat.com>
 #
 
-import pdc_data
-
-from moduleframework.module_framework import get_url
+from moduleframework import pdc_data
 from moduleframework.common import *
 from moduleframework.exceptions import *
 
@@ -95,7 +93,6 @@ class RpmHelper(CommonFunctions):
         else:
             self.dependencylist[name] = {'urls':[url], 'stream':stream}
 
-
     def setRepositoriesAndWhatToInstall(self, repos=None, whattooinstall=None):
         """
         set repositories and packages what to install inside module
diff --git a/moduleframework/module_framework.py b/moduleframework/module_framework.py
index 7c66e6f..5c93d42 100755
--- a/moduleframework/module_framework.py
+++ b/moduleframework/module_framework.py
@@ -26,11 +26,9 @@ main module provides helpers for various module types and AVOCADO(unittest) clas
 what you should use for your tests (inherited)
 """
 
-import yaml
 from avocado import Test
 from avocado.core import exceptions
 
-from moduleframework.compose_info import ComposeParser
 from moduleframework.common import *
 from moduleframework.exceptions import *
 from moduleframework.helpers.container_helper import ContainerHelper
@@ -283,91 +281,3 @@ def get_backend():
 # To keep backward compatibility. This method could be used by pure avocado tests and is already used
 get_correct_backend = get_backend
 
-
-def get_profile():
-    """
-    Return profile name string
-
-    :return: str
-    """
-    amodule = os.environ.get('PROFILE')
-    if not amodule:
-        amodule = "default"
-    return amodule
-
-
-def get_url():
-    """
-    Return actual URL if overwritten by
-    env variable "URL"
-
-    It redefines location of testing subject
-
-    :return:
-    """
-    amodule = os.environ.get('URL')
-    return amodule
-
-
-def get_config():
-    """
-    Read the module's configuration file
-
-    :default: ``./config.yaml`` in the ``tests`` directory of the module's root directory
-    :envvar: **CONFIG=path/to/file** overrides default value.
-    :return: str
-    """
-    cfgfile = os.environ.get('CONFIG') or './config.yaml'
-    try:
-       with open(cfgfile, 'r') as ymlfile:
-           xcfg = yaml.load(ymlfile.read())
-           return xcfg
-    except IOError:
-       raise ConfigExc(
-           "Error: File '%s' doesn't appear to exist or it's not a YAML file." %
-            cfgfile + " " +
-           "Tip: If the CONFIG envvar is not set, mtf-generator looks for './config'.")
-
-
-def get_compose_url():
-    """
-    Return Compose Url if set in config or via
-    env variable COMPOSEURL
-
-    :return: str
-    """
-    compose = os.environ.get('COMPOSEURL')
-    readconfig = CommonFunctions()
-    readconfig.loadconfig()
-    if compose is None:
-        if readconfig.config.get("compose-url"):
-            compose = readconfig.config.get("compose-url")
-        elif readconfig.config['module']['rpm'].get("repo"):
-            compose = readconfig.config['module']['rpm'].get("repo")
-        else:
-            compose = readconfig.config['module']['rpm'].get("repos")[0]
-    return compose
-
-
-def get_modulemd():
-    """
-    Return dict of moduleMD file for module, It is read from config, from module-url section,
-    if not defined it reads modulemd file from compose-url in case of set, or there is used
-    env variable MODULEMDURL (eventually COMPOSEURL) for that
-
-    :return: dict
-    """
-    mdf = os.environ.get('MODULEMDURL')
-    readconfig = CommonFunctions()
-    readconfig.loadconfig()
-    try:
-        if mdf:
-            return mdf
-        elif readconfig.config.get("modulemd-url"):
-            return readconfig.config.get("modulemd-url")
-        else:
-            a = ComposeParser(get_compose_url())
-            b = a.variableListForModule(readconfig.config.get("name"))
-            return [x[12:] for x in b if 'MODULEMDURL=' in x][0]
-    except AttributeError:
-        return None

